Bug 25130 - Reason for accepting/rejecting a suggestion is not visible when viewing (not editing)
Summary: Reason for accepting/rejecting a suggestion is not visible when viewing (not ...
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2020-04-13 13:37 UTC by Katrin Fischer
Modified: 2020-05-15 22:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06


Attachments
Bug 25130: Reason for accepting/rejecting a suggestion is not visible when viewing (not editing) (1.54 KB, patch)
2020-05-04 19:50 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25130: Reason for accepting/rejecting a suggestion is not visible when viewing (not editing) (1.59 KB, patch)
2020-05-04 21:50 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25130: Reason for accepting/rejecting a suggestion is not visible when viewing (not editing) (1.64 KB, patch)
2020-05-10 11:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-04-13 13:37:50 UTC
When viewing a suggestion, the reason given by the library for accepting/rejecting the suggestion is not displayed. It shows, when the suggestion is edited:

/cgi-bin/koha/suggestion/suggestion.pl?suggestionid=29&op=edit (shows)

//cgi-bin/koha/suggestion/suggestion.pl?suggestionid=34&op=show (doesn't show)
Comment 1 David Roberts 2020-05-04 19:50:32 UTC
Created attachment 104320 [details] [review]
Bug 25130: Reason for accepting/rejecting a suggestion is not visible when viewing (not editing)

The patch adds the suggestion management reason to the display when
viewing a suggestion.

To test:

1) Edit a suggestion and assign a reason for accepting it.
2) View the suggestion (/cgi-bin/koha/suggestion/suggestion.pl?suggestionid=XX&op=show, replacing XX with your suggestion ID)
3) Under suggestion management, the reason you've just assigned does not
display.
4) Apply the patch
5) Check the display again - the Reason should now be visible directly
under the status.
Comment 2 ByWater Sandboxes 2020-05-04 21:50:59 UTC
Created attachment 104321 [details] [review]
Bug 25130: Reason for accepting/rejecting a suggestion is not visible when viewing (not editing)

The patch adds the suggestion management reason to the display when
viewing a suggestion.

To test:

1) Edit a suggestion and assign a reason for accepting it.
2) View the suggestion (/cgi-bin/koha/suggestion/suggestion.pl?suggestionid=XX&op=show, replacing XX with your suggestion ID)
3) Under suggestion management, the reason you've just assigned does not
display.
4) Apply the patch
5) Check the display again - the Reason should now be visible directly
under the status.

Signed-off-by: Abbey Holt <aholt@dubuque.lib.ia.us>
Comment 3 Katrin Fischer 2020-05-10 11:48:44 UTC
Created attachment 104633 [details] [review]
Bug 25130: Reason for accepting/rejecting a suggestion is not visible when viewing (not editing)

The patch adds the suggestion management reason to the display when
viewing a suggestion.

To test:

1) Edit a suggestion and assign a reason for accepting it.
2) View the suggestion (/cgi-bin/koha/suggestion/suggestion.pl?suggestionid=XX&op=show, replacing XX with your suggestion ID)
3) Under suggestion management, the reason you've just assigned does not
display.
4) Apply the patch
5) Check the display again - the Reason should now be visible directly
under the status.

Signed-off-by: Abbey Holt <aholt@dubuque.lib.ia.us>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2020-05-10 11:49:00 UTC
Thx David and Abbey!
Comment 5 Martin Renvoize 2020-05-11 09:01:21 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-05-11 22:41:44 UTC
Backported to 19.11.x for 19.11.06
Comment 7 Lucas Gass 2020-05-15 22:24:42 UTC
Doesn't apply clean to 19.05.x, please rebase if needed